%define svn 20080916

Name:           smpeg
Version:        0.4.5
Release:        1
Summary:        MPEG library for SDL

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://icculus.org/smpeg/
Source0:        http://rpm.kwizart.net/fedora/SOURCES/%{name}-%{svn}.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  SDL-devel >= 1.2.13
BuildRequires:  glib-devel >= 1.2.10
BuildRequires:  gtk+-devel >= 1.2.10
Requires:       SDL >= 1.2.13
Requires:       glib >= 1.2.10
Requires:       gtk+ >= 1.2.10
Requires:       %{name}-libs = %{version}-%{release}

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an MPEG audio decoder created by Woo-jae Jung. SMPEG has
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 


%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries
Requires:       SDL >= 1.2.13

%description libs
The %{name}-libs package contains shared libraries for %{name}.


%package devel
Summary:        Header files and static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       SDL-devel >= 1.2.13

%description devel
This package contains header files and static libraries for %{name}.


%prep
%setup -q
%patch0
# IBM XLC/C++ can't treat .S files as .c files like GCC does :-(
mv video/mmxflags_asm.S video/mmxflags_asm.c
mv video/mmxidct_asm.S video/mmxidct_asm.c


%build
export CC="xlc"

# first build the 64-bit version
export OBJECT_MODE=64
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-threaded-system

gmake %{?_smp_mflags}

cp .libs/lib%{name}-0.4.so.0 .
gmake distclean

# now build the 32-bit version
export OBJECT_MODE=32
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-threaded-system

gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X32_64 -q .libs/lib%{name}-0.4.a ./lib%{name}-0.4.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES COPYING README TODO
%{_bindir}/glmovie
%{_bindir}/gtv
%{_bindir}/plaympeg
%{_mandir}/man1/*
/usr/bin/glmovie
/usr/bin/gtv
/usr/bin/plaympeg


%files libs
%defattr(-,root,system,-)
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/*.la
%{_datadir}/aclocal/*
/usr/bin/smpeg-config
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Nov 06 2009 Michael Perzl <michael@perzl.org> - 0.4.5-1
- first version for AIX V5.1 and higher
